Knowledgebase
How to Install the Required Dependencies for Train Simulator (2012 to 2017)
Posted by Dovetail Games Support on 19 May 2017 11:52 AM

In order for Train Simulator to run, it requires third-party system libraries to be installed. These libraries are necessary for the reliable operation of Train Simulator and it will not run without them. Typically, Steam will install these when you first install Train Simulator but in the unlikely event it fails to do so, here’s how to install them manually:

  1. Navigate to the Train Simulator installation directory. If you have installed it in the default location, this is typically C:\Program Files (x86)\Steam\steamapps\common\RailWorks
  2. Double-left-click the Install
  3. Inside you’ll find the following:
    1. Microsoft DirectX 9.0c Runtime Folder containing all the necessary DirectX files required for Train Simulator
    2. Microsoft .Net 4 Runtime Setup File
    3. nVidia PhysX 9.1 Runtime Setup File
    4. Microsoft Visual C++ 2010 Runtime Library Setup File
  1. Double-left-click on the DirectX9 folder and then double-left-click the file DXSETUP.exe to begin the setup. Follow the on-screen instructions to install DirectX 9.0c
  2. Navigate back to the Install folder at C:\Program Files (x86)\Steam\steamapps\common\RailWorks\Install
  3. Double-left-click the file dotNetFx40_Full_x86_x64.exe to begin the setup. Follow the on-screen instructions to install Microsoft .Net 4.0
  4. Double-left-click the file PhysX_9.10.0513_SystemSoftware.exe to begin the setup. Follow the on-screen instructions to install nVidia PhysX.
  5. Double-left-click the file vcredist_x86.exe to begin the setup. Follow the on-screen instructions to install Microsoft Visual C++ 2010 Runtime Library.

Each setup application will provide you with specific guidance whether you need to install it or not. If you get presented with such information, it’s safe for you to continue to install/repair the installation (it’s worth doing this just to be sure) or cancel.

Who is this Document For?

Train Simulator 201x owners who are using Windows 10, Windows 8.1, Windows 8 or Windows 7.